package com.steerinfo.baseinfo.meterbasesystemmessage.mapper;

import com.steerinfo.baseinfo.meterbasesystemmessage.model.MeterBaseSystemMessage;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MeterBaseSystemMessageMapper extends IBaseMapper<MeterBaseSystemMessage, String> {
    String GetNewID();

    void updateIsRead(String systemMessageNo);

    List<MeterBaseSystemMessage> likeDesc(HashMap params);
    List<MeterBaseSystemMessage> getNews();
    List<MeterBaseSystemMessage> listDesc(HashMap<String, Object> params);
}